Erro na compilação com Maven

Forum para usuários do Biblivre 5
AndersonRodrigues
Mensagens: 7
Registrado em: 13 Jul 2018, 13:49

Erro na compilação com Maven

Mensagem por AndersonRodrigues » 23 Jul 2018, 09:40

Bom dia,

Quando tempo compilar o pacote com Maven usando o comando MVN package, recebo a seguinte mensagem de erro:

Could not resolve dependencies for project br.org.biblivre:biblivre-4:war:5.0.5: Could not find artifact com.lowagie.legacy:itext:jar:4.2.1 in clojars.org (http://clojars.org/repo)

Pelo que dá pra entender ele não está encontrando uma biblioteca no endereço informado.

Pode me ajudar?

cleydyr
Administrador
Mensagens: 667
Registrado em: 19 Jul 2017, 19:43
Localização: Recife

Re: Erro na compilação com Maven

Mensagem por cleydyr » 23 Jul 2018, 14:33

Oi, Anderson. Tudo bem?

Eu também passei por isso (e mais), mas você não precisa passar mais. Eu recomendo você não usar o repositório oficial por enquanto, que está há algum tempo sem atualização. Em vez disso, faça um fork (e dê uma estrelinha :geek:) e siga as instruções contidas no README do meu repositório do Biblivre 5 no Github (seção Configuração Manual).

Abraço!
Github
Medium
biblivre.cloud: sua biblioteca online sempre estável, a partir de qualquer lugar

nikolaslibert
Mensagens: 1
Registrado em: 24 Dez 2018, 15:39

Re: Erro na compilação com Maven

Mensagem por nikolaslibert » 24 Dez 2018, 15:44

Eu estava tendo o mesmo problema. Agora segui as instruções da seção configuração manual, mas estou tendo problema na parte de atualizar as folhas de estilo. Quando executo o comando "mvn sass:update-stylesheets" , ocorre o erro abaixo:
  • mvn sass:update-stylesheets
    [INFO] Scanning for projects...
    [INFO]
    [INFO] ---------------------< br.org.biblivre:biblivre-4 >---------------------
    [INFO] Building Biblivre4 5.0.5
    [INFO] --------------------------------[ war ]---------------------------------
    [INFO]
    [INFO] --- sass-maven-plugin:1.1.1:update-stylesheets (default-cli) @ biblivre-4 ---
    [INFO] Compiling SASS Templates
    [INFO] Running with Compass enabled.
    [INFO] Queing SASS Template for compile: /Users/nikolaslibert/eclipse-workspace/Biblivre-5-5.x/WebContent/static/styles/scss => /Users/nikolaslibert/eclipse-workspace/Biblivre-5-5.x/WebContent/static/styles
    WARNING: An illegal reflective access operation has occurred
    WARNING: Illegal reflective access by org.jruby.java.invokers.RubyToJavaInvoker (file:/Users/nikolaslibert/.m2/repository/org/jruby/jruby-complete/1.6.8/jruby-complete-1.6.8.jar) to method java.lang.Object.registerNatives()
    WARNING: Please consider reporting this to the maintainers of org.jruby.java.invokers.RubyToJavaInvoker
    WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
    WARNING: All illegal access operations will be denied in a future release
    [INFO] ------------------------------------------------------------------------
    [INFO] BUILD FAILURE
    [INFO] ------------------------------------------------------------------------
    [INFO] Total time: 2.047 s
    [INFO] Finished at: 2018-12-24T16:36:17-02:00
    [INFO] ------------------------------------------------------------------------
    [ERROR] Failed to execute goal org.jasig.maven:sass-maven-plugin:1.1.1:update-stylesheets (default-cli) on project biblivre-4: Failed to execute SASS ruby script:
    [ERROR] require 'rubygems'
    [ERROR] env = { 'GEM_PATH' => [
    [ERROR] '/Users/nikolaslibert/eclipse-workspace/Biblivre-5-5.x/target/rubygems'
    [ERROR] ] }
    [ERROR] env['GEM_PATH'] += ENV['GEM_PATH'] unless ENV['GEM_PATH'].nil?
    [ERROR] Gem.paths = env
    [ERROR] require 'sass/plugin'
    [ERROR] require 'java'
    [ERROR] require 'compass'
    [ERROR] require 'compass/exec'
    [ERROR] Compass.add_project_configuration
    [ERROR] Compass::Frameworks.register_directory('jar:'+ File.join(Compass.base_directory, 'frameworks/compass'))
    [ERROR] Compass::Frameworks.register_directory('jar:'+ File.join(Compass.base_directory, 'frameworks/blueprint'))
    [ERROR] Sass::Plugin.options.merge!(
    [ERROR] :always_update => true,
    [ERROR] :cache_location => '/Users/nikolaslibert/eclipse-workspace/Biblivre-5-5.x/target/sass_cache',
    [ERROR] :css_location => '/Users/nikolaslibert/eclipse-workspace/Biblivre-5-5.x/WebContent/static/styles',
    [ERROR] :debug_info => false,
    [ERROR] :load_paths => Compass.configuration.sass_load_paths,
    [ERROR] :style => :expanded,
    [ERROR] :template_location => '/Users/nikolaslibert/eclipse-workspace/Biblivre-5-5.x/WebContent/static/styles/scss'
    [ERROR] )
    [ERROR] Sass::Plugin.on_compilation_error {|error, template, css| $compiler_callback.compilationError(error.message, template, css) }
    [ERROR] Sass::Plugin.on_updated_stylesheet {|template, css| $compiler_callback.updatedStylesheeet(template, css) }
    [ERROR] Sass::Plugin.on_template_modified {|template| $compiler_callback.templateModified(template) }
    [ERROR] Sass::Plugin.on_template_created {|template| $compiler_callback.templateCreated(template) }
    [ERROR] Sass::Plugin.on_template_deleted {|template| $compiler_callback.templateDeleted(template) }
    [ERROR] Sass::Plugin.update_stylesheets: org.jruby.exceptions.RaiseException: (ArgumentError) wrong number of arguments (0 for 1)
    [ERROR] -> [Help 1]
    [ERROR]
    [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
    [ERROR] Re-run Maven using the -X switch to enable full debug logging.
    [ERROR]
    [ERROR] For more information about the errors and possible solutions, please read the following articles:
    [ERROR] [Help 1] http://cwiki.apache.org/confluence/disp ... nException
Alguém sabe o que pode ser?

cleydyr
Administrador
Mensagens: 667
Registrado em: 19 Jul 2017, 19:43
Localização: Recife

Re: Erro na compilação com Maven

Mensagem por cleydyr » 24 Dez 2018, 16:36

Oi, @nikolaslibert. Seja bem-vindo ao Fórum Biblivre.

Que esquisito. Eu nunca me deparei com esse erro antes. :? Eu testei aqui no Eclipse e parece estar tudo certo.

Que versão do Eclipse e do Java você está utilizando?

Abraço!
Github
Medium
biblivre.cloud: sua biblioteca online sempre estável, a partir de qualquer lugar

cleydyr
Administrador
Mensagens: 667
Registrado em: 19 Jul 2017, 19:43
Localização: Recife

Re: Erro na compilação com Maven

Mensagem por cleydyr » 24 Dez 2018, 17:56

Opa, @nikolasnilbert.

Consegui reproduzir o problema utilizando uma imagem do docker com o JDK mais recente (11). Vou investigar nos próximos dias o que pode ser feito.

Bom Natal para você!
Github
Medium
biblivre.cloud: sua biblioteca online sempre estável, a partir de qualquer lugar

Responder

Voltar para “Fórum Biblivre 5”